/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/

(function($){  
  
  $.fn.placeholder = function(){   
    return this.each(function() {  
      if($(this).attr("type") == "password"){
        var nove_pole = $("<input type='text'>");
        $(this).hide();
        nove_pole.attr("rel", $(this).attr("id"));
        nove_pole.attr("value", $(this).attr("placeholder"));
        nove_pole.focus(function(){
          $(this).hide();
          $('input#' + $(this).attr("rel")).show().focus();
        });

        $(this).blur(function(){
          if($(this).val() == ""){
            $(this).hide();
            $('input[rel=' + $(this).attr("id") + ']').show();
          };
        });

        $(this).parent().append(nove_pole);
        
      }else{
        $(this).focus(function(){
          if($(this).val() == $(this).attr("placeholder")){
            $(this).val("");
          };
        });

        $(this).blur(function(){
          if($(this).val() == ""){
            $(this).val($(this).attr("placeholder"));
          };
        });

        $(this).blur();

    });
  });
  
})(jQuery); 




